Skip to content
BolderBolder Developers
Esc
↑↓navigate↵open⌘Jpreview

Get a shop

GET/shops/{id}
Authorization
AuthorizationBearer token (JWT) · headerrequired
Path parameters
idintegerrequired
Responses
200

Shop entity

_linksHalLinks
idinteger
seller_idinteger
account_idinteger
namestring
subdomainstring
urlstring
descriptionstring
localestring
currency_codestring
timezonestring
asset_countinteger
product_countsobject
Show properties
visibleinteger
blockedinteger
hiddeninteger
products_use_variant_pricesboolean
created_onstring<date-time>
updated_onstring<date-time>
403

Access denied

404

Shop not found

Try it
Server
Authorization
Parameters
Request
curl -s -H "Authorization: Bearer $BOLDER_TOKEN" \
  "https://api.onbolder.com/v2/shops/1"
Response
{
  "id": 1,
  "seller_id": 5,
  "account_id": 10,
  "name": "My Store",
  "subdomain": "mystore",
  "url": "mystore.onbolder.com",
  "locale": "en",
  "currency_code": "USD",
  "_links": {
    "self": {
      "href": "https://api.onbolder.com/v2/shops/1"
    },
    "products:list": {
      "href": "https://api.onbolder.com/v2/products?shop_id=1"
    },
    "orders:list": {
      "href": "https://api.onbolder.com/v2/orders?shop_id=1"
    },
    "customers:list": {
      "href": "https://api.onbolder.com/v2/customers?shop_id=1"
    },
    "hub:subscriptions": {
      "href": "https://api.onbolder.com/v2/sellers/5/webhooks"
    }
  }
}

Was this page helpful?